<script>
import {clock_radius, yearly} from "./store_2";
import Hand from "./_design_2_hand.svelte";
import { scaleLinear } from "d3-scale";



export let data = [];




// Size and margins

const width = 850;
const height = 300;
const margin = { top: 150, right: 20, bottom: 10, left: 20 };
const innerWidth = width - margin.left - margin.right;
const innerHeight = height - margin.top - margin.bottom;

</script>

<style>
    circle {
        stroke:black;
        stroke-width: 2px;
        fill: none;
    }  
    line {
        stroke: black;
        stroke-width: 2px;
    }
    text {
        fill: black;
        font-size: 20px;
       
    }
    .cooling {
        fill:blue;
        fill-opacity: 0.7;
    }
    .heating{
        fill: red;
        fill-opacity: 0.7;

    }
       
</style>

<svg width = {width+margin.left+margin.right} height = {height+margin.top+margin.bottom}>
 <g transform = "translate({margin.left},{margin.top})">
    <rect class="heating" x={-margin.left} y={height-30} width=15 height=10/>
    <rect class="cooling" x={-margin.left} y={height-15} width=15 height=10/>
    <text x=10 y={height-20} style="font-size:15px;">heating</text>
    <text x=10 y={height-5} style="font-size:15px;">cooling</text>
    {#each Object.keys(data) as city_nr, city_idx}
    <g transform = "translate({2*clock_radius*city_idx+(55*city_idx)},0)">
     <circle cx={clock_radius} cy={clock_radius} r={clock_radius}/>
     <line x1=0 x2={2*clock_radius} y1={clock_radius} y2={clock_radius}/>
     <line x1={clock_radius} x2={clock_radius} y1=0 y2={2*clock_radius}/>
     <text x={clock_radius-5} y=-10>0</text>
     <text x={2*clock_radius+10} y={clock_radius+5}>3</text>
     <text x={clock_radius-5} y={2*clock_radius+25}>6</text>
     <text x=-20 y={clock_radius+5}>9</text>
     <text x={clock_radius-35} y=-70>{city_nr}</text>
     
     
     <g transform="translate({clock_radius},{clock_radius})">
      <Hand data = {data[city_nr]}/>
     </g>
    
     
     
    </g>
     
     {/each}


 </g>




</svg>